std::__debug::forward_list< _Tp, _Alloc >(3cxx)

NAME
std::__debug::forward_list< _Tp, _Alloc > - Class std::forward_list with safety/checking/debug instrumentation.

SYNOPSIS

#include <forward_list>

Inherits __gnu_debug::_Safe_container< _SafeContainer, _Alloc, _SafeBase, _IsCxx11AllocatorAware >, and forward_list< _Tp, std::allocator< _Tp > >.

  Public Types

typedef _Base::allocator_type allocator_type
typedef __gnu_debug::_Safe_iterator< _Base_const_iterator, forward_list > const_iterator
typedef _Base::const_pointer const_pointer
typedef _Base::const_reference const_reference
typedef _Base::difference_type difference_type
typedef __gnu_debug::_Safe_iterator< _Base_iterator, forward_list > iterator
typedef _Base::pointer pointer
typedef _Base::reference reference
typedef _Base::size_type size_type
typedef _Tp value_type

  Public Member Functions

forward_list (_Base_ref __x)
template<typename _InputIterator , typename = std::_RequireInputIter<_InputIterator>> forward_list (_InputIterator __first, _InputIterator __last, const allocator_type &__al=allocator_type())
forward_list (const allocator_type &__al) noexcept
forward_list (const forward_list &)=default
forward_list (const forward_list &__list, const allocator_type &__al)
forward_list (forward_list &&)=default
forward_list (forward_list &&__list, const allocator_type &__al) noexcept(std::is_nothrow_constructible< _Base, _Base, const allocator_type & >::value)
forward_list (size_type __n, const __type_identity_t< _Tp > &__value, const allocator_type &__al=allocator_type())
forward_list (size_type __n, const allocator_type &__al=allocator_type())
forward_list (std::initializer_list< _Tp > __il, const allocator_type &__al=allocator_type())
const _Base & _M_base () const noexcept
_Base & _M_base () noexcept
template<typename _InputIterator , typename = std::_RequireInputIter<_InputIterator>> void assign (_InputIterator __first, _InputIterator __last)
void assign (size_type __n, const _Tp &__val)
void assign (std::initializer_list< _Tp > __il)
const_iterator before_begin () const noexcept
iterator before_begin () noexcept
const_iterator begin () const noexcept
iterator begin () noexcept
const_iterator cbefore_begin () const noexcept
const_iterator cbegin () const noexcept
const_iterator cend () const noexcept
void clear () noexcept
template<typename... _Args> iterator emplace_after (const_iterator __pos, _Args &&... __args)
const_iterator end () const noexcept
iterator end () noexcept
iterator erase_after (const_iterator __pos)
iterator erase_after (const_iterator __pos, const_iterator __last)
reference front ()
const_reference front () const
template<typename _InputIterator , typename = std::_RequireInputIter<_InputIterator>> iterator insert_after (const_iterator __pos, _InputIterator __first, _InputIterator __last)
iterator insert_after (const_iterator __pos, _Tp &&__val)
iterator insert_after (const_iterator __pos, const _Tp &__val)
iterator insert_after (const_iterator __pos, size_type __n, const _Tp &__val)
iterator insert_after (const_iterator __pos, std::initializer_list< _Tp > __il)
void merge (forward_list &&__list)
template<typename _Comp > void merge (forward_list &&__list, _Comp __comp)
void merge (forward_list &__list)
template<typename _Comp > void merge (forward_list &__list, _Comp __comp)
forward_list & operator= (const forward_list &)=default
forward_list & operator= (forward_list &&)=default
forward_list & operator= (std::initializer_list< _Tp > __il)
void pop_front ()
__remove_return_type remove (const _Tp &__val)
template<typename _Pred > __remove_return_type remove_if (_Pred __pred)
void resize (size_type __sz)
void resize (size_type __sz, const value_type &__val)
void splice_after (const_iterator __pos, forward_list &&__list)
void splice_after (const_iterator __pos, forward_list &&__list, const_iterator __before, const_iterator __last)
void splice_after (const_iterator __pos, forward_list &&__list, const_iterator __i)
void splice_after (const_iterator __pos, forward_list &__list)
void splice_after (const_iterator __pos, forward_list &__list, const_iterator __before, const_iterator __last)
void splice_after (const_iterator __pos, forward_list &__list, const_iterator __i)
void swap (forward_list &__list) noexcept(noexcept(declval< _Base & >().swap(__list)))
__remove_return_type unique ()
template<typename _BinPred > __remove_return_type unique (_BinPred __binary_pred)

  Protected Member Functions

void _M_swap (_Safe_container &__x) noexcept

  Friends

template<typename _ItT , typename _SeqT , typename _CatT > class ::__gnu_debug::_Safe_iterator

Detailed Description

  template<typename _Tp, typename _Alloc = std::allocator<_Tp>>
class std::__debug::forward_list< _Tp, _Alloc >"Class std::forward_list with safety/checking/debug instrumentation.

Author

Generated automatically by Doxygen for libstdc++ from the source code.